<ng-container *ngIf="experts$ | async; let experts; else loader">
  <table mat-table [dataSource]="experts" class="experts-table">
    <ng-container matColumnDef="lastName">
      <th mat-header-cell *matHeaderCellDef> {{ 'last_name' | transloco }} </th>
      <td mat-cell *matCellDef="let expert"> {{expert.lastName}} </td>
    </ng-container>

    <ng-container matColumnDef="firstName">
      <th mat-header-cell *matHeaderCellDef> {{ 'first_name' | transloco }} </th>
      <td mat-cell *matCellDef="let expert"> {{expert.firstName}} </td>
    </ng-container>

    <ng-container matColumnDef="patronymic">
      <th mat-header-cell *matHeaderCellDef> {{ 'patronymic' | transloco }} </th>
      <td mat-cell *matCellDef="let expert"> {{expert.patronymic}} </td>
    </ng-container>

    <ng-container matColumnDef="isFromGovernment">
      <th mat-header-cell *matHeaderCellDef> {{ 'expert_type' | transloco }} </th>
      <td mat-cell *matCellDef="let expert"> {{expert.isFromGovernment | isFromGovernmentTitle | transloco}} </td>
    </ng-container>

    <ng-container matColumnDef="authority">
      <th mat-header-cell *matHeaderCellDef> {{ 'authority' | transloco }} </th>
      <td mat-cell *matCellDef="let expert"> {{expert.authority | transloco}} </td>
    </ng-container>

    <ng-container matColumnDef="action">
      <th mat-header-cell *matHeaderCellDef> {{ 'action' | transloco }} </th>
      <td mat-cell *matCellDef="let expert" class="action-link">
        <a (click)="onExpertSelected(expert)">
          {{ 'see_detailed_info' | transloco }}
        </a>
      </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="columnsToDisplay"></tr>
    <tr mat-row *matRowDef="let row; columns: columnsToDisplay;"></tr>
  </table>

  <mat-paginator *ngIf="expertTotalCount$ | async; let expertTotalCount"
                 [length]="expertTotalCount"
                 [pageSize]="10"
                 [pageSizeOptions]="[5, 10, 25, 100]"
                 (page)="onPageSelected($event)">
  </mat-paginator>
</ng-container>

<ng-template #loader>
  <app-loader></app-loader>
</ng-template>
